## ironic 6.1.0

=== debian/changelog ===
ironic (1:6.1.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:24:53 +0000

ironic (1:6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Add upstream patch:
    - Fix-broken-unit-tests-for-get_ilo_object.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 23:06:38 +0200

ironic (1:6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added new pt_BR.po Brazilian Portuguese debconf templates translation
    (Closes: #829340).
  * Rebase allow-any-pytz-version.patch. Add allow-any-fixtures-version.patch.
  * Using oslo-config-generator directly.
  * Switching to openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 22:44:18 +0200

ironic (1:5.1.2-2) unstable; urgency=medium

  * Using upstream config generator shell script to generate ironic.conf,
    instead of using (broken) sample file. (Closes: #828897)

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 20:28:00 +0000
