=== debian/changelog ===
ironic (1:6.2.0-3) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858701).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:38:52 +0200

ironic (1:6.2.0-2) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:32:07 +0100

ironic (1:6.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Fixed oslotest EPOCH.
  * Removed Fix-broken-unit-tests-for-get_ilo_object.patch applied upstream.
  * Rebased requirements patches.
  * Also package Ironic's install-guide
  * Fixed config file generation namespaces.
  * Black list failing unit tests:
    - test_keystone.KeystoneLegacyTestCase.test_legacy_loading_new_in_legacy

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:28:56 +0200
