=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -22,9 +22,9 @@
                      python-eventlet (>= 0.18.4),
                      python-fixtures (>= 3.0.0),
                      python-futurist (>= 0.11.0),
-                     python-glanceclient (>= 1:2.0.0),
+                     python-glanceclient (>= 1:2.3.0),
                      python-greenlet,
-                     python-hacking (>= 0.10.0),
+                     python-hacking (>= 0.11.0),
                      python-ironic-lib (>= 2.0.0),
                      python-ironicclient (>= 1.6.0),
                      python-iso8601 (>= 0.1.11),
@@ -35,13 +35,14 @@
                      python-keystonemiddleware (>= 4.0.0),
                      python-mock (>= 2.0),
                      python-mysqldb,
-                     python-netaddr (>= 0.7.12),
-                     python-neutronclient (>= 1:4.2.0),
+                     python-netaddr (>= 0.7.13),
+                     python-neutronclient (>= 1:5.1.0),
+                     python-openstackdocstheme (>= 1.5.0),
                      python-os-testr (>= 0.7.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.4.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
                      python-oslo.messaging (>= 5.2.0),
@@ -53,7 +54,7 @@
                      python-oslo.utils (>= 3.16.0),
                      python-oslo.versionedobjects (>= 1.13.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-paramiko (>= 2.0),
                      python-pecan (>= 1.0.0),
                      python-pil,
@@ -81,7 +82,6 @@
                      python-wsme (>= 0.8),
                      subunit,
                      testrepository,
-                     websockify (>= 0.8.0),
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ironic?h=debian%2Fnewton
 Vcs-Git: https://git.openstack.org/openstack/deb-ironic -b debian/newton
@@ -95,7 +95,7 @@
          python-automaton,
          python-eventlet (>= 0.18.4),
          python-futurist (>= 0.11.0),
-         python-glanceclient (>= 1:2.0.0),
+         python-glanceclient (>= 1:2.3.0),
          python-greenlet,
          python-ironic-lib (>= 2.0.0),
          python-jinja2 (>= 2.8),
@@ -103,12 +103,12 @@
          python-jsonschema,
          python-keystoneauth1 (>= 2.10.0),
          python-keystonemiddleware (>= 4.0.0),
-         python-netaddr (>= 0.7.12),
-         python-neutronclient (>= 1:4.2.0),
+         python-netaddr (>= 0.7.13),
+         python-neutronclient (>= 1:5.1.0),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
          python-oslo.messaging (>= 5.2.0),
@@ -139,7 +139,6 @@
          python-tz,
          python-webob,
          python-wsme (>= 0.8),
-         websockify (>= 0.8.0),
          ${misc:Depends},
          ${python:Depends},
 Conflicts: python-cjson,
