## ironic 6.2.1

=== debian/changelog ===
ironic (1:6.2.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 13:40:20 -0400

ironic (1:6.2.0-0ubuntu2) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * d/control: Drop os-api-ref from BDs as it's not needed for package builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Sep 2016 11:43:59 -0400

ironic (1:6.2.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/set_config_defaults.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:27:19 -0400

ironic (1:6.1.0-0ubuntu4) yakkety; urgency=medium

  * d/ironic-common.postinst: Ensure correct ownership of /var/lib/ironic
    prior to creation of sqlite database.
  * d/control,d/tests/*: Add basic install autopkgtest.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Sep 2016 21:31:05 +0100

ironic (1:6.1.0-0ubuntu3) yakkety; urgency=medium

  * d/ironic-common.postinst: Ensure dbsync gets run as ironic, avoiding
    log files owned by root user (LP: #1450942).
  * d/control: Fixup typo in 'libaries' (LP: #1451139).

 -- James Page <james.page@ubuntu.com>  Thu, 08 Sep 2016 12:33:17 +0100

ironic (1:6.1.0-0ubuntu2) yakkety; urgency=medium

  * d/control: Add ipmitool to Depends of ironic-conductor (LP: #1572800).

 -- James Page <james.page@ubuntu.com>  Thu, 08 Sep 2016 11:28:47 +0100

ironic (1:6.1.0-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/control: Bump minimum version requirements inline with upstream.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 15:59:45 -0400

ironic (1:6.0.0-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/*: Refresh.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with ostestr.
  * d/p/set_config_defaults.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jul 2016 09:44:17 -0400
