=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-automaton (>= 0.5.0),
                     python-babel (>= 2.3.4),
                     python-bashate (>= 0.2),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-glanceclient (>= 1:2.3.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.11.0),
                     python-ironic-lib (>= 2.0.0),
                     python-ironicclient (>= 1.6.0),
                     python-iso8601 (>= 0.1.11),
                     python-jinja2 (>= 2.8),
                     python-jsonpatch (>= 1.1),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystoneclient (>= 1:1.7.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-paramiko (>= 2.0),
                     python-pbr (>= 1.8),
                     python-pecan (>= 1.1.2),
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.6.2),
                     python-requests (>= 2.10.0),
                     python-retrying (>= 1.2.3),
                     python-sendfile (>= 2.0.0),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-pecanwsme (>= 0.8),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-subunit (>= 0.0.18),
                     python-swiftclient (>= 1:2.2.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tz (>= 2013.6),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     python-wsme (>= 0.8),
                     subunit (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
XS-Testsuite: autopkgtest

Package: python-ironic
Architecture: all
Depends: alembic (>= 0.8.4),
         python-automaton (>= 0.5.0),
         python-eventlet (>= 0.18.2),
         python-futurist (>= 0.11.0),
         python-glanceclient (>= 1:2.3.0),
         python-greenlet (>= 0.3.2),
         python-ironic-lib (>= 2.0.0),
         python-jinja2 (>= 2.8),
         python-jsonpatch (>= 1.1),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 2.10.0),
         python-keystoneclient (>= 1:1.7.0),
         python-keystonemiddleware (>= 4.0.0),
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-paramiko (>= 2.0),
         python-pbr (>= 1.8),
         python-pecan (>= 1.1.2),
         python-psutil,
         python-pymysql (>= 0.6.2),
         python-requests (>= 2.10.0),
         python-retrying (>= 1.2.3),
         python-sendfile (>= 2.0.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-swiftclient (>= 1:2.2.0),
         python-tz (>= 2013.6),
         python-webob (>= 1.2.3),
         python-wsme (>= 0.8),
         ${misc:Depends},
         ${python:Depends},
Description: Openstack bare metal provisioning service - Python library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python libraries.

Package: ironic-common
Architecture: all
Depends: adduser,
         psmisc,
         python-ironic (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.

Package: ironic-api
Architecture: all
Depends: ironic-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-conductor
Architecture: all
Depends: ipmitool (>= 1.8.12),
         ironic-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.
