## ironic 7.0.0

=== debian/changelog ===
ironic (1:7.0.0-0ubuntu1) zesty; urgency=medium

  * debian/control: Add python-tooz 
  * New usptream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 14 Feb 2017 10:39:40 -0500
