=== debian/control ===
--- 
+++ 
@@ -9,70 +9,66 @@
                python-all,
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: alembic (>= 0.8.4),
+Build-Depends-Indep: alembic (>= 0.8.10),
                      python-automaton (>= 0.5.0),
                      python-babel (>= 2.3.4),
                      python-bashate (>= 0.2),
-                     python-coverage (>= 3.6),
+                     python-coverage (>= 4.0),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
                      python-futurist (>= 0.11.0),
-                     python-glanceclient (>= 1:2.3.0),
-                     python-greenlet (>= 0.3.2),
-                     python-hacking (>= 0.11.0),
-                     python-ironic-lib (>= 2.0.0),
-                     python-ironicclient (>= 1.6.0),
+                     python-glanceclient (>= 1:2.5.0),
+                     python-hacking (>= 0.12.0),
+                     python-ironic-lib (>= 2.5.0),
+                     python-ironicclient (>= 1.11.0),
                      python-iso8601 (>= 0.1.11),
                      python-jinja2 (>= 2.8),
                      python-jsonpatch (>= 1.1),
                      python-jsonschema (>= 2.0.0),
-                     python-keystoneauth1 (>= 2.10.0),
-                     python-keystoneclient (>= 1:1.7.0),
-                     python-keystonemiddleware (>= 4.0.0),
+                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystonemiddleware (>= 4.12.0),
                      python-mock (>= 2.0),
-                     python-netaddr (>= 0.7.13),
                      python-neutronclient (>= 1:5.1.0),
                      python-openstackdocstheme (>= 1.5.0),
-                     python-os-testr (>= 0.7.0),
+                     python-os-api-ref (>= 1.0.0),
+                     python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.10.0),
+                     python-oslo.db (>= 4.15.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.16.0),
-                     python-oslo.messaging (>= 5.2.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslo.messaging (>= 5.14.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.9.0),
+                     python-oslo.policy (>= 1.17.0),
                      python-oslo.rootwrap (>= 5.0.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslo.versionedobjects (>= 1.13.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.versionedobjects (>= 1.17.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1.10.0),
                      python-paramiko (>= 2.0),
-                     python-pbr (>= 1.8),
-                     python-pecan (>= 1.1.2),
-                     python-psutil,
+                     python-pecan (>= 1.0.0),
+                     python-psutil (>= 3.0.1),
                      python-psycopg2 (>= 2.5),
-                     python-pymysql (>= 0.6.2),
+                     python-pymysql (>= 0.7.6),
+                     python-sendfile (>= 2.0.0),
                      python-requests (>= 2.10.0),
                      python-retrying (>= 1.2.3),
-                     python-sendfile (>= 2.0.0),
                      python-six (>= 1.9.0),
                      python-sphinxcontrib-pecanwsme (>= 0.8),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.16.0),
-                     python-subunit (>= 0.0.18),
-                     python-swiftclient (>= 1:2.2.0),
+                     python-stevedore (>= 1.17.1),
+                     python-swiftclient (>= 1:3.2.0),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
+                     python-tooz (>= 1.47.0),
                      python-tz (>= 2013.6),
-                     python-webob (>= 1.2.3),
+                     python-webob (>= 1.6.0),
                      python-webtest (>= 2.0),
                      python-wsme (>= 0.8),
-                     subunit (>= 0.0.18),
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
@@ -85,15 +81,12 @@
          python-eventlet (>= 0.18.2),
          python-futurist (>= 0.11.0),
          python-glanceclient (>= 1:2.3.0),
-         python-greenlet (>= 0.3.2),
          python-ironic-lib (>= 2.0.0),
          python-jinja2 (>= 2.8),
          python-jsonpatch (>= 1.1),
          python-jsonschema (>= 2.0.0),
          python-keystoneauth1 (>= 2.10.0),
-         python-keystoneclient (>= 1:1.7.0),
          python-keystonemiddleware (>= 4.0.0),
-         python-netaddr (>= 0.7.13),
          python-neutronclient (>= 1:5.1.0),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
@@ -110,22 +103,22 @@
          python-oslo.utils (>= 3.16.0),
          python-oslo.versionedobjects (>= 1.13.0),
          python-paramiko (>= 2.0),
-         python-pbr (>= 1.8),
          python-pecan (>= 1.1.2),
          python-psutil,
          python-pymysql (>= 0.6.2),
+         python-sendfile (>= 2.0.0),
          python-requests (>= 2.10.0),
          python-retrying (>= 1.2.3),
-         python-sendfile (>= 2.0.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.16.0),
          python-swiftclient (>= 1:2.2.0),
+         python-tooz (>= 1.47.0),
          python-tz (>= 2013.6),
          python-webob (>= 1.2.3),
          python-wsme (>= 0.8),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Openstack bare metal provisioning service - Python library
  Ironic is an Incubated OpenStack project which aims to provision
  bare metal machines instead of virtual machines, forked from the
@@ -144,7 +137,7 @@
          psmisc,
          python-ironic (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Openstack bare metal provisioning service - daemons
  Ironic is an Incubated OpenStack project which aims to provision
  bare metal machines instead of virtual machines, forked from the
@@ -161,7 +154,7 @@
 Architecture: all
 Depends: ironic-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Openstack bare metal provisioning service - API
  Ironic is an Incubated OpenStack project which aims to provision
  bare metal machines instead of virtual machines, forked from the
@@ -179,7 +172,7 @@
 Depends: ipmitool (>= 1.8.12),
          ironic-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: Openstack bare metal provisioning service - conductor
  Ironic is an Incubated OpenStack project which aims to provision
  bare metal machines instead of virtual machines, forked from the
